# Uses of Interface
org.eclipse.ecf.discovery.identity.IServiceTypeID

Packages that use IServiceTypeID
Package
Description
org.eclipse.ecf.discovery
org.eclipse.ecf.discovery.identity
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.eclipse.ecf.provider.dnssd
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.provider.jslp.identity

## Uses of IServiceTypeID in org.eclipse.ecf.discovery

Fields in org.eclipse.ecf.discovery declared as IServiceTypeID
Modifier and Type
Field
Description
`protected IServiceTypeID`
ServiceTypeContainerEvent.`serviceType`
Methods in org.eclipse.ecf.discovery that return IServiceTypeID
Modifier and Type
Method
Description
`IServiceTypeID`
IServiceTypeEvent.`getServiceTypeID()`
Get service type id for this service type event.
`IServiceTypeID`
ServiceTypeContainerEvent.`getServiceTypeID()`
`IServiceTypeID[]`
IDiscoveryLocator.`getServiceTypes()`
Synchronously get service info about all known services of given service type
Methods in org.eclipse.ecf.discovery with parameters of type IServiceTypeID
Modifier and Type
Method
Description
`void`
AbstractDiscoveryContainerAdapter.`addServiceListener(IServiceTypeID aType, IServiceListener aListener)`
`void`
IDiscoveryLocator.`addServiceListener(IServiceTypeID type, IServiceListener listener)`
Add a service listener.
`org.eclipse.equinox.concurrent.future.IFuture`
AbstractDiscoveryContainerAdapter.`getAsyncServices(IServiceTypeID type)`
`org.eclipse.equinox.concurrent.future.IFuture`
IDiscoveryLocator.`getAsyncServices(IServiceTypeID aServiceTypeID)`
Asynchronously get service info about all known services of given service type
`protected Collection`
AbstractDiscoveryContainerAdapter.`getListeners(IServiceTypeID aServiceType)`
Joins the `Collection` of `IServiceListener`s interested in any `IServiceTypeID` with the `Collection` of the `IServiceListener` registered for the given `IServiceTypeID`
`IServiceInfo[]`
IDiscoveryLocator.`getServices(IServiceTypeID aServiceTypeID)`
Synchronously get service info about all known services of given service type
`void`
AbstractDiscoveryContainerAdapter.`removeServiceListener(IServiceTypeID aType, IServiceListener aListener)`
`void`
IDiscoveryLocator.`removeServiceListener(IServiceTypeID type, IServiceListener listener)`
Remove a service listener.
Constructors in org.eclipse.ecf.discovery with parameters of type IServiceTypeID
Modifier
Constructor
Description
``
`ServiceInfo(URI anURI, String aServiceName, IServiceTypeID aServiceTypeID)`
Create an IServiceInfo instance.
``
`ServiceInfo(URI anURI, String aServiceName, IServiceTypeID aServiceTypeID, int priority, int weight, IServiceProperties props)`
Create an IServiceInfo instance.
``
`ServiceInfo(URI anURI, String aServiceName, IServiceTypeID aServiceTypeID, int priority, int weight, IServiceProperties props, long ttl)`
Create an IServiceInfo instance.
``
`ServiceInfo(URI anURI, String aServiceName, IServiceTypeID aServiceTypeID, IServiceProperties props)`
Create an IServiceInfo instance.
``
`ServiceTypeContainerEvent(IServiceTypeID serviceType, ID containerID)`

## Uses of IServiceTypeID in org.eclipse.ecf.discovery.identity

Classes in org.eclipse.ecf.discovery.identity that implement IServiceTypeID
Modifier and Type
Class
Description
`class`
`ServiceTypeID`
ServiceTypeID base class.
Fields in org.eclipse.ecf.discovery.identity declared as IServiceTypeID
Modifier and Type
Field
Description
`protected IServiceTypeID`
ServiceID.`type`
Methods in org.eclipse.ecf.discovery.identity that return IServiceTypeID
Modifier and Type
Method
Description
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, String serviceType)`
Create an IServiceTypeID.
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType)`
Create an IServiceTypeID.
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType, String[] protocols)`
Create an IServiceTypeID.
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] services, String[] scopes, String[] protocols, String namingAuthority)`
Create an IServiceTypeID.
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, IServiceTypeID aServiceTypeID)`
Create an IServiceTypeID.
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, String serviceType)`
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType)`
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType, String[] protocols)`
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType, String[] scopes, String[] protocols, String namingAuthority)`
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, IServiceTypeID aServiceTypeId)`
`IServiceTypeID`
IServiceID.`getServiceTypeID()`
Get service type ID for this ID.
`IServiceTypeID`
ServiceID.`getServiceTypeID()`
Methods in org.eclipse.ecf.discovery.identity with parameters of type IServiceTypeID
Modifier and Type
Method
Description
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, IServiceTypeID aServiceTypeID)`
Create an IServiceTypeID.
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, IServiceTypeID aServiceTypeId)`
Constructors in org.eclipse.ecf.discovery.identity with parameters of type IServiceTypeID
Modifier
Constructor
Description
`protected`
`ServiceID(Namespace namespace, IServiceTypeID type, URI anURI)`
`protected`
`ServiceTypeID(Namespace ns, IServiceTypeID id)`

## Uses of IServiceTypeID in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return IServiceTypeID
Modifier and Type
Method
Description
`protected IServiceTypeID`
ServiceInfoFactory.`createServiceTypeID(EndpointDescription endpointDescription, IDiscoveryAdvertiser advertiser)`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type IServiceTypeID
Modifier and Type
Method
Description
`protected String`
ServiceInfoFactory.`createDefaultServiceName(EndpointDescription endpointDescription, IDiscoveryAdvertiser advertiser, IServiceTypeID serviceTypeID)`
`protected IServiceInfo`
ServiceInfoFactory.`createServiceInfo(URI uri, String serviceName, IServiceTypeID serviceTypeID, IServiceProperties serviceProperties)`
`protected String`
ServiceInfoFactory.`createServiceName(EndpointDescription endpointDescription, IDiscoveryAdvertiser advertiser, IServiceTypeID serviceTypeID)`
`protected IServiceProperties`
ServiceInfoFactory.`createServiceProperties(EndpointDescription endpointDescription, IDiscoveryAdvertiser advertiser, IServiceTypeID serviceTypeID, String serviceName, URI uri)`
`protected URI`
ServiceInfoFactory.`createURI(EndpointDescription endpointDescription, IDiscoveryAdvertiser advertiser, IServiceTypeID serviceTypeID, String serviceName)`

## Uses of IServiceTypeID in org.eclipse.ecf.provider.dnssd

Classes in org.eclipse.ecf.provider.dnssd that implement IServiceTypeID
Modifier and Type
Class
Description
`class`
`BnRDnsSdServiceTypeID`
This ServiceType represents the special RRs defined in chapter 12.
`class`
`DnsSdServiceTypeID`
Methods in org.eclipse.ecf.provider.dnssd that return IServiceTypeID
Modifier and Type
Method
Description
`IServiceTypeID[]`
DnsSdDiscoveryContainerAdapter.`getServiceTypes()`
`IServiceTypeID[]`
DnsSdDiscoveryLocator.`getServiceTypes()`
This always returns the service type found for our local domain Use org.eclipse.ecf.provider.dnssrv.DnsSrvDisocoveryLocator.getServices(IServiceTypeID) with a wildcard query instead.
Methods in org.eclipse.ecf.provider.dnssd with parameters of type IServiceTypeID
Modifier and Type
Method
Description
`protected Collection`
DnsSdDiscoveryContainerAdapter.`getBrowsingOrRegistrationDomains(IServiceTypeID aServiceTypeId, String[] rrs)`
`protected String[]`
DnsSdDiscoveryAdvertiser.`getRegistrationDomains(IServiceTypeID aServiceTypeId)`
`IServiceInfo[]`
DnsSdDiscoveryContainerAdapter.`getServices(IServiceTypeID aServiceTypeId)`
`IServiceInfo[]`
DnsSdDiscoveryLocator.`getServices(IServiceTypeID aServiceTypeId)`
Constructors in org.eclipse.ecf.provider.dnssd with parameters of type IServiceTypeID
Modifier
Constructor
Description
`protected`
`DnsSdServiceID(Namespace namespace, IServiceTypeID type, URI anUri)`
``
`DnsSdServiceTypeID(Namespace ns, IServiceTypeID id)`

## Uses of IServiceTypeID in org.eclipse.ecf.provider.jslp.container

Methods in org.eclipse.ecf.provider.jslp.container that return IServiceTypeID
Modifier and Type
Method
Description
`IServiceTypeID[]`
JSLPDiscoveryContainer.`getServiceTypes()`
Methods in org.eclipse.ecf.provider.jslp.container with parameters of type IServiceTypeID
Modifier and Type
Method
Description
`void`
JSLPDiscoveryContainer.`addServiceListener(IServiceTypeID type, IServiceListener listener)`
`void`
JSLPDiscoveryContainer.`fireServiceTypeDiscovered(IServiceTypeID serviceTypeID)`
`IServiceInfo[]`
JSLPDiscoveryContainer.`getServices(IServiceTypeID type)`

## Uses of IServiceTypeID in org.eclipse.ecf.provider.jslp.identity

Classes in org.eclipse.ecf.provider.jslp.identity that implement IServiceTypeID
Modifier and Type
Class
Description
`class`
`JSLPServiceTypeID`